<link rel="import" href="chrome://resources/polymer/v1_0/polymer/polymer.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-flex-layout/classes/iron-flex-layout.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-checkbox/paper-checkbox.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/cr_button/cr_button.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/cr_collapse/cr_collapse.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/cr_expand_button/cr_expand_button.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/cr_input/cr_input.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/cr_toggle_button/cr_toggle_button.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/network/cr_network_icon.html">

<dom-module id="cr-demo-element">
  <link rel="import" type="css" href="demo_element.css">
  <template>
    <h3>cr-button</h3>
    <div class="layout vertical">
      <div class="layout horizontal">
        <cr-button>Button1</cr-button>
        <cr-button>Button2</cr-button>
        <cr-button>Button3</cr-button>
      </div>
      <cr-button raised>Raised Button</cr-button>
      <div class="layout horizontal">
        <cr-button toggles>Toggle Button1</cr-button>
        <cr-button toggles>Toggle Button2</cr-button>
      </div>
    </div>

    <h3>cr-input</h3>
    <div class="layout vertical">
      <div class="layout horizontal">
        <cr-input label="CrInput1" value="{{inputValues.1}}"></cr-input>
        <span>InputValue.1=</span>
        <span>[[inputValues.1]]</span>
      </div>
      <div class="layout horizontal">
        <cr-input label="CrInput2" value="{{inputValues.2}}"></cr-input>
        <cr-input label="CrInput3" value="{{inputValues.3}}"></cr-input>
      </div>
      <cr-input no-label-float label="CrInput4" value="{{inputValues.4}}">
      </cr-input>
      <cr-input no-label-float label="CrInput5" value="{{inputValues.5}}">
      </cr-input>
    </div>

    <h3>cr-toggle-button</h3>
    <div class="layout vertical">
      <cr-toggle-button checked="{{toggleButtonChecked}}">
        Toggle Button
      </cr-toggle-button>
      <paper-checkbox checked="{{toggleButtonChecked}}">
        Bound Checkbox
      </paper-checkbox>
      <div class="layout horizontal">
        <cr-toggle-button checked="{{toggleButtonChecked2}}">
          Toggle Button 2
        </cr-toggle-button>
        <cr-toggle-button checked="{{toggleButtonChecked3}}">
          Toggle Button 3
        </cr-toggle-button>
      </div>
    </div>

    <h3>cr-collapse</h3>
    <div class="layout vertical">
      <cr-expand-button expanded="{{collapseOpened}}">
        Collapse 1
      </cr-expand-button>
      <cr-collapse opened="[[collapseOpened]]">
        <div class="layout vertical">
          <span>Collapsable Section 1</span>
          <paper-checkbox>Advanced option 1</paper-checkbox>
          <paper-checkbox>Advanced option 2</paper-checkbox>
        </div>
      </cr-collapse>
      <cr-button toggles active="{{collapseOpened2}}">
        Collapse 2
      </cr-button>
      <cr-collapse opened="[[collapseOpened2]]">
        <div class="layout vertical">
          <span>Collapsable Section 2</span>
        </div>
      </cr-collapse>
    </div>

    <cr-expand-button toggles expanded="{{networkOpened}}">
      <span class="heading">cr-network-*</span>
    </cr-expand-button>
    <cr-collapse opened="[[networkOpened]]">
      <div class="layout vertical">
        <h3>cr-network-icon</h3>
        <div class="layout vertical">
          <div class="layout horizontal center">
            <cr-network-icon id="ethernet" network-type="Ethernet">
            </cr-network-icon>
            <span>Ethernet</span>
          </div>
          <div class="layout horizontal center">
            <cr-network-icon id="wifi" network-type="WiFi"></cr-network-icon>
            <span>WiFi (32px)</span>
          </div>
          <div class="layout horizontal center">
            <cr-network-icon id="cellular" network-type="Cellular">
            </cr-network-icon>
            <span>Cellular (16px)</span>
          </div>
        </div>
      </div>
    </cr-collapse>

  </template>
  <script src="demo_element.js"></script>
</dom-module>
